package isampling;

import java.util.HashSet;
import java.util.Vector;

public class MinimalSolution {

	HashSet<Integer> nodes;

	// contains all the nodes NOT in the solution
	Vector<Integer> missing;

	int order;


	double product;
	
	public MinimalSolution(HashSet<Integer> nodesInSol,
			HashSet<Integer> allNodes,int o) {

		product=1;
		this.nodes = nodesInSol;
		this.order = o;
		missing = new Vector<Integer>();
		missing.addAll(allNodes);
		missing.removeAll(nodesInSol);

	}

	public MinimalSolution(MinimalSolution S) {

		this.product=S.product;
		this.nodes = (HashSet<Integer>) S.nodes.clone();
		this.order=S.order;
		this.missing = S.missing;
	}

}

